Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226542 - Merge Review: words
Summary: Merge Review: words
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:16 UTC by Nobody's working on this, feel free to take it
Modified: 2009-01-12 12:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-12 12:41:38 UTC
redhat: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:16:48 UTC
Fedora Merge Review: words

http://cvs.fedora.redhat.com/viewcvs/devel/words/
Initial Owner: kzak@redhat.com

Comment 1 Roozbeh Pournader 2007-02-04 01:36:36 UTC
Taking for review.

Comment 2 Roozbeh Pournader 2007-02-04 02:00:16 UTC
Partial review:

GOOD
====
MUST: source matches upstream (md5sum checked)

BAD
===
MUST: rpmlint output
  SRPM:
  W: words summary-ended-with-dot A dictionary of English words for the
/usr/share/dict directory.
  E: words tag-not-utf8 %changelog
  W: words invalid-license public domain
  E: words non-utf8-spec-file words.spec
  E: words no-cleaning-of-buildroot %install

  All should be fixed:
    - Change License to "Public Domain"
    - Remove dot at the end of summart
    - change SPEC file to UTF-8
    - clean the buildroot in %install using rm -rf $RPM_BUILD_ROOT
  
  For the RPM, the errors are a subset of above.

  * Version field is quite arbitrary (3.0) instead of matching upstream.

  * Separate license file into a different "Source" file. Also explain in the
    file that the license info in the file readme.txt is deprecated.

  * Change /usr/share in %files section to %{_datadir}
  
  * Change %defattr(-,root,root) to %defattr(-,root,root,-)


Comment 3 Karel Zak 2007-04-02 08:49:18 UTC
>   * Version field is quite arbitrary (3.0) instead of matching upstream.

The upstream doesn't use any versioning.

>   * Separate license file into a different "Source" file. Also explain in the
>     file that the license info in the file readme.txt is deprecated.

Good point. Thanks.

Fixed. Please, review the package (words-3.0-12.fc7).

Comment 4 Robert Scheck 2008-12-20 14:36:00 UTC
As Roozbeh did not continue the review for more than 1.5 years now, I'm now
and hereby just silently overtaking the review. Re-assinging the bug report
to me first, as it is usual for a Package Review.

So rpmlint is completely silent, good job until now. Rest of the package is
sane according to my knowledge of being a packager.

Some suggestions, I really would like to see, but no must:
 - Remove "BuildRequires: coreutils", something else anyway pulls that in
 - Replace "Source: mwords.tar.Z" by "Source: http://web.archive.org/web/20060527013227/http://www.dcs.shef.ac.uk/research/ilash/Moby/mwords.tar.Z" as it is a valid source URL and everybody can verify it

Karel, olease close the bug report once you've applied the changes or let me 
know why you won't do this and close this bug report therewith.


APPROVED.

Comment 5 Robert Scheck 2009-01-10 23:02:26 UTC
Karel, ping?

Comment 6 Karel Zak 2009-01-12 12:41:38 UTC
(In reply to comment #4)
> Some suggestions, I really would like to see, but no must:
>  - Remove "BuildRequires: coreutils", something else anyway pulls that in

 Fixed.

>  - Replace "Source: mwords.tar.Z" by "Source:
> http://web.archive.org/web/20060527013227/http://www.dcs.shef.ac.uk/research/ilash/Moby/mwords.tar.Z"
> as it is a valid source URL and everybody can verify it

 OK, good idea. Fixed.
 
> Karel, olease close the bug report once you've applied the changes or let me 
> know why you won't do this and close this bug report therewith.

 Closing...


Note You need to log in before you can comment on or make changes to this bug.